# syncShopifyProducts

### Arguments

| Argument                                                                                               | Description                        |
| ------------------------------------------------------------------------------------------------------ | ---------------------------------- |
| input ([SyncShopifyProductsInput](/graphql-api/api-reference/objects/sync-shopify-products-input.md)!) | Parameters for SyncShopifyProducts |

### SyncShopifyProductsInput Arguments

| Argument                                                                                    | Description                                                                                                                                                    |
| ------------------------------------------------------------------------------------------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| updateExistingProducts ([Boolean](/graphql-api/api-reference/objects/boolean.md))           | Whether to update existing products.                                                                                                                           |
| createNewProducts ([Boolean](/graphql-api/api-reference/objects/boolean.md))                | Whether to create new products that don't exist yet.                                                                                                           |
| archiveProductsWithoutTag ([Boolean](/graphql-api/api-reference/objects/boolean.md))        | Whether to archive products that no longer have a Firmhouse tag in Shopify.                                                                                    |
| productGroups ([Boolean](/graphql-api/api-reference/objects/boolean.md))                    | Whether to sync product groups for variants of the same Shopify product. This controls how products are displayed in the Self Service Center.                  |
| updateFields (\[[String](/graphql-api/api-reference/objects/string.md)!])                   | <p>List of fields to update. Available fields:<br>image, title, price, sku, tax\_rate, shipping, billing, contract\_terms, vendor, shopify\_product\_type.</p> |
| createAssets ([Boolean](/graphql-api/api-reference/objects/boolean.md))                     | Whether to create assets for products.                                                                                                                         |
| onlyCreateProductsFromTags ([Boolean](/graphql-api/api-reference/objects/boolean.md))       | Whether to only create products that have Firmhouse tags.                                                                                                      |
| onlyCreateProductsWithMetafields ([Boolean](/graphql-api/api-reference/objects/boolean.md)) | Whether to only create products that have metafields.                                                                                                          |

### Return fields

#### errors (\[[ModelValidationError](/graphql-api/api-reference/objects/model-validation-error.md)!]!)

#### status ([String](/graphql-api/api-reference/objects/string.md))

#### syncId ([ID](/graphql-api/api-reference/objects/id.md))


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.firmhouse.com/graphql-api/api-reference/mutations/sync-shopify-products.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
